function [X_malsar, Y_malsar] = convert2MalsarFormat( X, Y )
%CONVERT2MALSARFORMAT Summary of this function goes here
%   Detailed explanation goes here

    X_malsar = {};
    Y_malsar = {};
    for j = 1:size(Y,2)
        X_malsar{j} = [];
        Y_malsar{j} = [];
        for i = 1:size(X,1)
            if ~isnan(Y(i,j))
                X_malsar{j} = [X_malsar{j}; X(i,:)];
                Y_malsar{j} = [Y_malsar{j}; Y(i,j)];
            end
        end
    end
end

