function [mse,AllRes] = my_eval_MTL_mse2 (Y, X, W, verbose)

    if nargin < 4
        verbose = 0;
    end
    task_num = length(X);
    mse = 0;
    
    %if nargout == 2
    AllRes = [];
    %end
    total_sample = 0;
    for t = 1:task_num
        y_pred = X{t} * W(:, t);
        taskerr = sum((y_pred - Y{t}).^2) / length(y_pred);
        if verbose
            fprintf('Error for task %d : %f\n',t, taskerr);
        end
        %if nargout == 2
        AllRes = [AllRes; taskerr];
        %end
        mse = mse + taskerr * length(y_pred);
        total_sample = total_sample + length(y_pred);
    end
    %mse = mse / total_sample;
    mse = mean(AllRes);
end
